Bug 82121

Summary: Notifications should be in Modules/notifications
Product: WebKit Reporter: Adam Barth <abarth>
Component: New BugsAssignee: Gyuyoung Kim <gyuyoung.kim>
Status: RESOLVED FIXED    
Severity: Normal CC: aestes, dbates, dglazkov, eric, gns, gyuyoung.kim, ojan, rakuco, vestbo, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 79327    
Attachments:
Description Flags
Patch
none
Patch for EFL and GTK port
gyuyoung.kim: commit-queue-
Patch for EFL ,GTK and QT port
none
Patch
none
Patch
none
Patch none

Description Adam Barth 2012-03-24 01:23:26 PDT
Notifications should be in Modules/notifications
Comment 1 Adam Barth 2012-03-24 01:25:08 PDT
Created attachment 133624 [details]
Patch
Comment 2 Early Warning System Bot 2012-03-24 01:37:09 PDT
Comment on attachment 133624 [details]
Patch

Attachment 133624 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12128047
Comment 3 Gustavo Noronha (kov) 2012-03-24 01:39:44 PDT
Comment on attachment 133624 [details]
Patch

Attachment 133624 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12123964
Comment 4 Early Warning System Bot 2012-03-24 01:40:12 PDT
Comment on attachment 133624 [details]
Patch

Attachment 133624 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12131011
Comment 5 Build Bot 2012-03-24 01:46:44 PDT
Comment on attachment 133624 [details]
Patch

Attachment 133624 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12132003
Comment 6 WebKit Review Bot 2012-03-24 01:51:17 PDT
Comment on attachment 133624 [details]
Patch

Attachment 133624 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12131010
Comment 7 Gyuyoung Kim 2012-03-24 01:52:04 PDT
Comment on attachment 133624 [details]
Patch

Attachment 133624 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12131013
Comment 8 Adam Barth 2012-03-24 01:55:12 PDT
The diff is screwed up somehow.   I think because I'm adding the whole directory?  /me is confused.
Comment 9 Build Bot 2012-03-24 01:59:36 PDT
Comment on attachment 133624 [details]
Patch

Attachment 133624 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12123962
Comment 10 Adam Barth 2012-03-26 15:49:13 PDT
Comment on attachment 133624 [details]
Patch

I need to make a version of this patch that, you know, compiles.
Comment 11 Gyuyoung Kim 2012-06-19 19:42:37 PDT
Created attachment 148488 [details]
Patch for EFL and GTK port

Hello Adam,

I wonder whether you will submit modified patch. Anyway, to help you, I make a patch for EFL and GTK ports. However, if you are busy to make this patch again, I would like to submit a patch in order to support all ports.
Comment 12 Adam Barth 2012-06-19 20:32:50 PDT
Thank you.  I've gotten distracted by other patches.  If you work up a patch here, I'd be happy to review it.
Comment 13 Gyuyoung Kim 2012-06-19 21:37:41 PDT
Created attachment 148501 [details]
Patch for EFL ,GTK and QT port

Thank you for your consideration. This patch is for EFL, GTK and QT ports for now. I'm gonna submit a patch which supports Chromium, Mac and Win ports as well.
Comment 14 Build Bot 2012-06-19 21:55:47 PDT
Comment on attachment 148501 [details]
Patch for EFL ,GTK and QT port

Attachment 148501 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/13007092
Comment 15 Build Bot 2012-06-19 22:01:25 PDT
Comment on attachment 148501 [details]
Patch for EFL ,GTK and QT port

Attachment 148501 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/13002101
Comment 16 WebKit Review Bot 2012-06-19 22:06:24 PDT
Comment on attachment 148501 [details]
Patch for EFL ,GTK and QT port

Attachment 148501 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13008095
Comment 17 Gyuyoung Kim 2012-06-20 11:40:30 PDT
Created attachment 148614 [details]
Patch
Comment 18 Build Bot 2012-06-20 12:00:49 PDT
Comment on attachment 148614 [details]
Patch

Attachment 148614 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/13005271
Comment 19 Build Bot 2012-06-20 12:56:04 PDT
Comment on attachment 148614 [details]
Patch

Attachment 148614 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12998322
Comment 20 Adam Barth 2012-06-27 13:33:15 PDT
Comment on attachment 148614 [details]
Patch

This doesn't appear to build on mac or win.
Comment 21 Gyuyoung Kim 2012-07-03 07:13:22 PDT
Created attachment 150603 [details]
Patch
Comment 22 Gyuyoung Kim 2012-07-03 07:15:47 PDT
This patch is for all ports except for win port. I'm still working on win port as well.
Comment 23 Build Bot 2012-07-03 07:41:36 PDT
Comment on attachment 150603 [details]
Patch

Attachment 150603 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/13139175
Comment 24 Gyuyoung Kim 2012-07-04 02:42:00 PDT
Created attachment 150747 [details]
Patch
Comment 25 Adam Barth 2012-07-04 21:42:53 PDT
Comment on attachment 150747 [details]
Patch

Thanks for doing this!
Comment 26 WebKit Review Bot 2012-07-04 23:02:58 PDT
Comment on attachment 150747 [details]
Patch

Clearing flags on attachment: 150747

Committed r121882: <http://trac.webkit.org/changeset/121882>
Comment 27 WebKit Review Bot 2012-07-04 23:03:14 PDT
All reviewed patches have been landed.  Closing bug.
Comment 28 Andy Estes 2012-07-06 15:14:37 PDT
I pointed DerivedSource.make to the new location for notifications idl files in <http://trac.webkit.org/changeset/122036>.
Comment 29 Gyuyoung Kim 2012-07-07 18:03:12 PDT
(In reply to comment #28)
> I pointed DerivedSource.make to the new location for notifications idl files in <http://trac.webkit.org/changeset/122036>.

I'm sorry. I missed it. Thanks.